.selector {
    display: flex;
    align-items: center;
    margin: 20px 0;
    flex-wrap: wrap;
    width: 100%;
}
.selector  span{
    min-width: 50px;
    color: #90A4AE;
    font-size: 16px;
}
.selector select {
    outline: none;
    padding: 8px 25px;
    font-size: 14px;
    display: -moz-box;
    display: flex;
    -moz-box-pack: center;
    justify-content: center;
    border-radius: 5px;
    border: 1px solid var(--border);
    min-width: calc(20% - 60px);
    margin: 5px  0 0 10px;
}
.selector option {
    font-size: 14px;
}
@media all and (max-width: 600px) {
    .selector {
        flex-direction: column;
    }
    .selector select {
        min-width: calc(100% - 60px);
    }
}
